VULKAN_HPP_NAMESPACE::ShaderStatisticsInfoAMD Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::ShaderStatisticsInfoAMD:
[legend]

## Public Member Functions

| operator VkShaderStatisticsInfoAMD const & () const
| operator VkShaderStatisticsInfoAMD & ()
bool | operator== (ShaderStatisticsInfoAMD const &rhs) const
bool | operator!= (ShaderStatisticsInfoAMD const &rhs) const

## Data Fields

ShaderStageFlags | shaderStageMask
ShaderResourceUsageAMD | resourceUsage
uint32_t | numPhysicalVgprs
uint32_t | numPhysicalSgprs
uint32_t | numAvailableVgprs
uint32_t | numAvailableSgprs
uint32_t | computeWorkGroupSize [3]

## Detailed Description

Definition at line 23315 of file vulkan.hpp.

## Member Function Documentation

## operator VkShaderStatisticsInfoAMD &()

VULKAN_HPP_NAMESPACE::ShaderStatisticsInfoAMD::operator VkShaderStatisticsInfoAMD & | ( |  | ) |

inline

Definition at line 23322 of file vulkan.hpp.

{
return *reinterpret_cast<VkShaderStatisticsInfoAMD*>(this);
}

## operator VkShaderStatisticsInfoAMD const &()

VULKAN_HPP_NAMESPACE::ShaderStatisticsInfoAMD::operator VkShaderStatisticsInfoAMD const & | ( |  | ) | const

inline

Definition at line 23317 of file vulkan.hpp.

{
return *reinterpret_cast<const VkShaderStatisticsInfoAMD*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::ShaderStatisticsInfoAMD::operator!= | ( | ShaderStatisticsInfoAMD const & | rhs | ) | const

inline

Definition at line 23338 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator==()

bool VULKAN_HPP_NAMESPACE::ShaderStatisticsInfoAMD::operator== | ( | ShaderStatisticsInfoAMD const & | rhs | ) | const

inline

Definition at line 23327 of file vulkan.hpp.

{
return ( shaderStageMask == rhs.shaderStageMask )
&& ( resourceUsage == rhs.resourceUsage )
&& ( numPhysicalVgprs == rhs.numPhysicalVgprs )
&& ( numPhysicalSgprs == rhs.numPhysicalSgprs )
&& ( numAvailableVgprs == rhs.numAvailableVgprs )
&& ( numAvailableSgprs == rhs.numAvailableSgprs )
&& ( memcmp( computeWorkGroupSize, rhs.computeWorkGroupSize, 3 * sizeof( uint32_t ) ) == 0 );
}

References computeWorkGroupSize, numAvailableSgprs, numAvailableVgprs, numPhysicalSgprs, numPhysicalVgprs, resourceUsage, and shaderStageMask.

Referenced by operator!=().

## Field Documentation

## computeWorkGroupSize

uint32_t VULKAN_HPP_NAMESPACE::ShaderStatisticsInfoAMD::computeWorkGroupSize[3]

Definition at line 23349 of file vulkan.hpp.

Referenced by operator==().

## numAvailableSgprs

uint32_t VULKAN_HPP_NAMESPACE::ShaderStatisticsInfoAMD::numAvailableSgprs

Definition at line 23348 of file vulkan.hpp.

Referenced by operator==().

## numAvailableVgprs

uint32_t VULKAN_HPP_NAMESPACE::ShaderStatisticsInfoAMD::numAvailableVgprs

Definition at line 23347 of file vulkan.hpp.

Referenced by operator==().

## numPhysicalSgprs

uint32_t VULKAN_HPP_NAMESPACE::ShaderStatisticsInfoAMD::numPhysicalSgprs

Definition at line 23346 of file vulkan.hpp.

Referenced by operator==().

## numPhysicalVgprs

uint32_t VULKAN_HPP_NAMESPACE::ShaderStatisticsInfoAMD::numPhysicalVgprs

Definition at line 23345 of file vulkan.hpp.

Referenced by operator==().

## resourceUsage

ShaderResourceUsageAMD VULKAN_HPP_NAMESPACE::ShaderStatisticsInfoAMD::resourceUsage

Definition at line 23344 of file vulkan.hpp.

Referenced by operator==().

## shaderStageMask

ShaderStageFlags VULKAN_HPP_NAMESPACE::ShaderStatisticsInfoAMD::shaderStageMask

Definition at line 23343 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::ShaderStatisticsInfoAMD::numAvailableSgprs
uint32_t numAvailableSgprs
Definition: vulkan.hpp:23348
VULKAN_HPP_NAMESPACE::ShaderStatisticsInfoAMD::numPhysicalVgprs
uint32_t numPhysicalVgprs
Definition: vulkan.hpp:23345
VULKAN_HPP_NAMESPACE::ShaderStatisticsInfoAMD::operator==
bool operator==(ShaderStatisticsInfoAMD const &rhs) const
Definition: vulkan.hpp:23327
VULKAN_HPP_NAMESPACE::ShaderStatisticsInfoAMD::resourceUsage
ShaderResourceUsageAMD resourceUsage
Definition: vulkan.hpp:23344
VkShaderStatisticsInfoAMD
Definition: vulkan_core.h:6553
VULKAN_HPP_NAMESPACE::ShaderStatisticsInfoAMD::numAvailableVgprs
uint32_t numAvailableVgprs
Definition: vulkan.hpp:23347
VULKAN_HPP_NAMESPACE::ShaderStatisticsInfoAMD::shaderStageMask
ShaderStageFlags shaderStageMask
Definition: vulkan.hpp:23343
uint32_t
unsigned int uint32_t
Definition: SDL_config_windows.h:63
VULKAN_HPP_NAMESPACE::ShaderStatisticsInfoAMD::numPhysicalSgprs
uint32_t numPhysicalSgprs
Definition: vulkan.hpp:23346
VULKAN_HPP_NAMESPACE::ShaderStatisticsInfoAMD::computeWorkGroupSize
uint32_t computeWorkGroupSize[3]
Definition: vulkan.hpp:23349